nxt.ms

## Class ExchangeRequestHome

- java.lang.Object
- - nxt.ms.ExchangeRequestHome

-     public final class ExchangeRequestHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ExchangeRequestHome.ExchangeRequest`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExchangeRequestHome` | `forChain(ChildChain childChain)`
    `DbIterator<ExchangeRequestHome.ExchangeRequest>` | `getAccountCurrencyExchangeRequests(long accountId, long currencyId, int from, int to)`
    `DbIterator<ExchangeRequestHome.ExchangeRequest>` | `getAccountExchangeRequests(long accountId, int from, int to)`
    `DbIterator<ExchangeRequestHome.ExchangeRequest>` | `getAllExchangeRequests(int from, int to)`
    `int` | `getCount()`
    `DbIterator<ExchangeRequestHome.ExchangeRequest>` | `getCurrencyExchangeRequests(long currencyId, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static ExchangeRequestHome forChain(ChildChain childChain)

    - #### getAllExchangeRequests

          public DbIterator<ExchangeRequestHome.ExchangeRequest> getAllExchangeRequests(int from,
                                                                                        int to)

    - #### getCount

          public int getCount()

    - #### getCurrencyExchangeRequests

          public DbIterator<ExchangeRequestHome.ExchangeRequest> getCurrencyExchangeRequests(long currencyId,
                                                                                             int from,
                                                                                             int to)

    - #### getAccountExchangeRequests

          public DbIterator<ExchangeRequestHome.ExchangeRequest> getAccountExchangeRequests(long accountId,
                                                                                            int from,
                                                                                            int to)

    - #### getAccountCurrencyExchangeRequests

          public DbIterator<ExchangeRequestHome.ExchangeRequest> getAccountCurrencyExchangeRequests(long accountId,
                                                                                                    long currencyId,
                                                                                                    int from,
                                                                                                    int to)